.permission_level_label
  padding-left: .5em
  &:not(:last-of-type)
    margin-right: 4px
  cursor: default
  border-radius: 3px
  background: #f2f2f2
  color: #333
  font-weight: 500

.permission_level_label__level
  display: inline-block
  padding: .15em .5em
  text-align: center
  margin-left: .4em
  background: transparentize(white, .8)

.permission_level_label--level-4
  background: $super-admin-permission-color
  color: black
  .permission_level_label__level
    font-weight: 700

.permission_level_label--level-0
  padding-right: .5em
  .permission_level_label__level
    display: none

$permission-colors: ("mm": #885bff, "tm": #2db3d6, "dm": #f82f04)

@each $type, $color in $permission-colors
  .permission_level_label--#{$type}
    &.permission_level_label--level-1
      color: darken($color, 20%)
      background-color: lighten($color, 35%)
    &.permission_level_label--level-2
      color: white
      background-color: lighten($color, 15%)
    &.permission_level_label--level-3
      color: white
      background-color: lighten($color, 0%)

.permission_tooltip__icon
  position: relative
  cursor: help
  svg
    margin-left: .2em
    vertical-align: sub
    fill: #999
    height: 1rem

  &:hover
    + .permission_tooltip__content
      visibility: visible

.permission_tooltip__content
  visibility: hidden
  box-shadow: 0 0 5px rgba(0,0,0,.1)
  position: absolute
  background: #fff
  top: 3.5rem
  width: 270px
  border-radius: 5px
  border: 1px solid #ddd
  padding: .75em

  p
    margin-bottom: 0

.permission_tooltip__heading
  font-weight: bold
  margin-bottom: .5em

.permission_labels
  display: flex
  align-items: center
